POST
Send a completed withdrawal to another Canton Party

Authorizations

Authorization
string
header
required

The authorization field takes the session bearer returned by sign-in, or an API key where the route allows keys. Paste the token itself into the authorization field.

Headers

Idempotency-Key
string
required
Minimum string length: 1

Path Parameters

withdrawalId
string
required
Minimum string length: 1

Body

application/json
withdrawalId
string
required
Minimum string length: 1
receiverPartyId
string
required
Maximum string length: 255
Pattern: ^[A-Za-z0-9][A-Za-z0-9._-]*::1220[0-9a-f]{64}$

Response

Success

version
string
required
Allowed value: "local-signing/v2"
status
string
required
Allowed value: "approval_required"
signingStep
enum<string>
required
Available options:
owner_withdrawal_consent,
owner_payout_acceptance,
owner_party_transfer
challenge
object
required
withdrawal
object
required